Bug 1387589 - CVE-2016-5287 CVE-2016-5288 firefox: various flaws [fedora-all]
Summary: CVE-2016-5287 CVE-2016-5288 firefox: various flaws [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 24
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-5287 CVE-2016-5288
TreeView+ depends on / blocked
 
Reported: 2016-10-21 10:34 UTC by Andrej Nemec
Modified: 2016-11-08 22:53 UTC (History)
8 users (show)

Fixed In Version: firefox-49.0.2-1.fc24 firefox-49.0.2-1.fc23
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-08 22:53:38 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-10-21 10:34:15 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Andrej Nemec 2016-10-21 10:34:21 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1387586,1387588,1387589

# Description of your update
notes=Security fix for CVE-2016-5287, CVE-2016-5288

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Bojan Smojver 2016-10-26 23:49:08 UTC
Ping... Can someone please rebuild FF or confirm that these security problems do not affect Fedora builds.

Comment 3 Martin Stransky 2016-10-31 07:47:50 UTC
We're going to rebase to FF 50.0 directly on Nov 8, those two bugs are not critical ones.

Comment 4 issuipha 2016-10-31 13:19:36 UTC
Martin, in case this is relevant to that decision, 50 has been delayed a week and is currently scheduled for November 15 instead.

Comment 5 Martin Stransky 2016-10-31 13:37:00 UTC
Thanks but I think we can wait there.

Comment 6 Bojan Smojver 2016-11-02 22:53:48 UTC
Looks like the builds of 49.0.2 are now complete in koji.

Comment 7 Bojan Smojver 2016-11-03 22:52:16 UTC
OK, I'm totally confused now. One of the maintainers obviously thought 49.0.2 should be built, but no update has been submitted to any of the Fedora versions.

Comment 8 Fedora Update System 2016-11-04 08:06:01 UTC
firefox-49.0.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fa03795843

Comment 9 Fedora Update System 2016-11-04 08:06:13 UTC
firefox-49.0.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f235e39d0

Comment 10 Martin Stransky 2016-11-04 08:08:47 UTC
(In reply to Bojan Smojver from comment #7)
> OK, I'm totally confused now. One of the maintainers obviously thought
> 49.0.2 should be built, but no update has been submitted to any of the
> Fedora versions.

Jan told me he did the builds for testing purpose, he had some build issue there. And when the builds are done there's no reason to hold them back so let's ship them.

Comment 11 Fedora Update System 2016-11-05 03:35:48 UTC
firefox-49.0.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fa03795843

Comment 12 Fedora Update System 2016-11-05 03:48:32 UTC
firefox-49.0.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f235e39d0

Comment 13 Fedora Update System 2016-11-06 00:26:47 UTC
firefox-49.0.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-11-06 01:53:30 UTC
firefox-49.0.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f235e39d0

Comment 15 Fedora Update System 2016-11-08 22:53:38 UTC
firefox-49.0.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.